View Issue Details

IDProjectCategoryView StatusLast Update
0025975LazarusLCLpublic2014-04-09 20:27
ReporterLagunov AlekseyAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.1 (SVN)Product Build 
Target VersionFixed in Version1.4 
Summary0025975: In the object TCustomEditButton no methods and properties
DescriptionIn the object TCustomEditButton no methods and properties

Change;
Modified
EditCanModify
SelectAll;
SelLength
SelStart

     
Also, the method SetReadOnly must be protected
TagsNo tags attached.
Fixed in Revisionr44650
LazTarget-
WidgetsetGTK, GTK 2, Win32/Win64, WinCE, Carbon, Cocoa, QT, fpGUI, CustomDrawn
Attached Files

Activities

Bart Broersma

2014-04-08 19:51

developer   ~0074209

I did not implement EditCanModify or Change.
The new control inherits from a different ancestor and it makes no sense to "forward" all protected TCustoMaskEdit methods.

TCustomMaskEdit.EditCanModify simply returns false by default.
(AFAIK it's only used in DB aware controls)

You can override the new DoEditTextChange method as the alternative for Change.

Issue History

Date Modified Username Field Change
2014-04-07 06:35 Lagunov Aleksey New Issue
2014-04-07 10:52 Zeljan Rikalo Assigned To => Bart Broersma
2014-04-07 10:52 Zeljan Rikalo Status new => assigned
2014-04-08 19:51 Bart Broersma Fixed in Revision => r44650
2014-04-08 19:51 Bart Broersma LazTarget => -
2014-04-08 19:51 Bart Broersma Note Added: 0074209
2014-04-08 19:51 Bart Broersma Status assigned => resolved
2014-04-08 19:51 Bart Broersma Resolution open => fixed
2014-04-08 19:52 Bart Broersma Fixed in Version => 1.4
2014-04-09 20:27 Lagunov Aleksey Status resolved => closed